Page MenuHomePhabricator

Improve & Update ZppixBot docs
Closed, ResolvedPublic2 Estimated Story Points

Description

Currently, some of the docs are out of date or missing.

We plan to replace the current website with an update, modern and responsive version.

Acceptance Criteria:

  • Includes all current commands
  • is synced with the fairly recent code
  • clear, short descriptions (with understandable grammar)
  • includes examples & docs for most modules especially our custom code
  • has a responsive & modern design

Revisions and Commits

rLTZB labs-tools-ZppixBot

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptSep 26 2019, 10:04 PM
RhinosF1 updated the task description. (Show Details)Sep 26 2019, 10:05 PM
RhinosF1 triaged this task as Medium priority.Sep 27 2019, 7:05 PM

Change 539622 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[labs/tools/ZppixBot@master] Update documentation for Bug:T233993

https://gerrit.wikimedia.org/r/539622

Change 539622 had a related patch set uploaded (by Zppix; owner: RhinosF1):
[labs/tools/ZppixBot@master] Update documentation for

https://gerrit.wikimedia.org/r/539622

Change 539622 merged by Zppix:
[labs/tools/ZppixBot@master] Update documentation for

https://gerrit.wikimedia.org/r/539622

RhinosF1 updated the task description. (Show Details)
RhinosF1 changed the subtype of this task from "Task" to "Deadline".Nov 3 2019, 6:41 PM
RhinosF1 set Due Date to Dec 31 2019, 12:00 AM.

Let’s get this done for new year

RhinosF1 changed the task status from Open to Stalled.Nov 3 2019, 6:47 PM

Stalling for now as the docs will be a bit fluid until projects planned are done

Zppix removed RhinosF1 as the assignee of this task.Dec 10 2019, 7:51 PM
Zppix added a project: Google-Code-in-2019.

Unassigning as this is now a GCI task

Zppix changed the task status from Stalled to Open.Dec 10 2019, 7:51 PM
Zppix moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2019 board.
Zppix removed Due Date.Jan 2 2020, 3:22 PM
Restricted Application added a subscriber: MacFan4000. · View Herald TranscriptJan 2 2020, 3:22 PM
RhinosF1 removed a project: Google-Code-in-2019.

per discussion with MacFan and @srodlund on IRC

Restricted Application added a project: User-MacFan4000. · View Herald TranscriptMay 28 2020, 8:17 PM

Change 599873 had a related patch set uploaded (by MacFan4000; owner: MacFan4000):
[labs/tools/ZppixBot@master] updating commands

https://gerrit.wikimedia.org/r/599873

Change 599873 merged by RhinosF1:
[labs/tools/ZppixBot@master] updating commands

https://gerrit.wikimedia.org/r/599873

Mentioned in SAL (#wikimedia-cloud) [2020-05-29T21:23:12Z] <wm-bot> <rhinosf1> syncing to deploy 599873 -- T233993

@srodlund: As discussed, these are on the "less bad" version now.

Let us know your thoughts!

I left some comments in Gerrit. :-)

As a holistic comment: You may want to go through and make sure there are full stops "." at the end of each sentence. It seems a little inconsistent in the documentation.

Otherwise, it's pretty solid! Thanks for working on improving the documentation!

I left some comments in Gerrit. :-)

They were on an old version so see if they apply to the live addition (https://gerrit.wikimedia.org/r/#/c/labs/tools/ZppixBot/+/599873/). Feel free to leave the comments anywhere accessible as they are generated now from decorators in the code.

As a holistic comment: You may want to go through and make sure there are full stops "." at the end of each sentence. It seems a little inconsistent in the documentation.

I will have a look either fix if we own the module or upstream for external/core plugins.

Otherwise, it's pretty solid! Thanks for working on improving the documentation!

:)

Ugh -- I was looking at the old version! :-( The new version is much more robust -- making some solid documentation much better. Your current revisions addressed most of the comments I made on the old version.

The big (but minor) thing would be making sure to be consistent with style and grammar -- especially those full stops. There aren't many. I think I just notice the ones that aren't there because most of the sentences have them.

Good work on this!

I have created https://github.com/Pix1234/ZppixBot-Source/pull/180/files which should go out tommorow to do our docs. I will then upstream anything on somebody's else code that's wrong.

I've created M303 with some new designs that makes it a bit more modern, my only gripe is the padded whitespace around the header.

Change 602041 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[labs/tools/ZppixBot@master] Make website use a more modern interface

https://gerrit.wikimedia.org/r/602041

Change 602041 merged by MacFan4000:
[labs/tools/ZppixBot@master] Make website use a more modern interface

https://gerrit.wikimedia.org/r/602041

RhinosF1 updated the task description. (Show Details)Jun 3 2020, 9:43 PM

A live mockup is available at https://zppixbot-test.toolforge.org/new-web/public_html/index.html.

We have refreshed the whole design as well and should be deploying this once @Zppix CR+2's

Massive thanks to @srodlund and @MacFan4000 for their help.

Change 602510 had a related patch set uploaded (by RhinosF1; owner: MacFan4000):
[labs/tools/ZppixBot@master] Introduce a responsive, modern web design. (Take II)

https://gerrit.wikimedia.org/r/602510

RhinosF1 set the point value for this task to 2.Jun 6 2020, 12:42 PM

Change 602510 merged by jenkins-bot:
[labs/tools/ZppixBot@master] Introduce a responsive, modern web design. (Take II)

https://gerrit.wikimedia.org/r/602510

RhinosF1 updated the task description. (Show Details)Jun 7 2020, 4:16 PM

This will be deployed tonight.

I'm going to try and script deployments after that to run automatically.

Is there anything left to be done here?

RhinosF1 closed this task as Resolved.Jun 26 2020, 2:33 PM
RhinosF1 removed a project: Patch-For-Review.